For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
  • Gift Processing
  • Lockbox Providers
      • POSTGet a Batch Upload URL
      • POSTFulfill a Lockbox Request
LogoLogo
Contact usLogin
Lockbox ProvidersLockbox Providers

Fulfill a Lockbox Request

POST
/v1/lockboxes/fulfill_request
POST
/v1/lockboxes/fulfill_request
$curl -X POST https://api.givechariot.com/v1/lockboxes/fulfill_request \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "request_id": "123456789",
> "location_id": "po_9876",
> "address": {
> "city": "New York",
> "country": "US",
> "line1": "123 Main St.",
> "postal_code": "12345",
> "state": "NY"
> }
>}'
1{}

Notifies Chariot that a new PO box has been provisioned by the lockbox provider.

The request_id is a one-time unique value generated by Chariot for each PO box request.

See the Provisioning guide for the full provisioning flow.

Was this page helpful?
Previous

Changelog

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
request_idstringRequired
The unique request identifier originally provided by Chariot when the PO box was requested.
location_idstringRequired
The identifier of the newly provisioned PO box.
addressobjectRequired

Response

Indicates the PO box has been successfully provisioned.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error